<?php
require_once"../../template/start.php";
require_once"../../template/regglobals.php";
require_once"../../template/config.php";
require_once"../../template/functions.php";
require_once"../../template/antidos.php";
require_once"../../template/cookies.php";
require_once"../../template/gzip.php";
require_once"../../template/header.php";
require_once"../../template/referer.php";
include_once"../../themes/$config_themes/index.php";
include_once"../../template/isset.php";

require_once"func.inc";
require_once("conf.inc");

//////////////////////////////////////////////////////////////////////////////////////
$text = @file("../../local/profil/$log.prof");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101){
if(isset($save)){
	$configdata="<?php"."
##############################################################################################
###                                                                                        ###
###                         Downloads ver.5.00 for WAP-MOTOR                               ###
###                         Created by XsErG mod by Def                                    ###
###                               http://wapruk.ru                        	   			   ###
###                                                                                        ###
##############################################################################################\r\n".
	"$"."col=\"".$wcol."\";//Кол-во файлов выводимых на страницу в центре\r\n".
	"$"."col_top=\"".$wcol_top."\";//Кол-во файлов в топе\r\n".
	"$"."hg=\"".$whg."\";//Высота картинок на скриншоте при просмотре папки\r\n".
	"$"."wg=\"".$wwg."\";//Ширина картинок на скриншоте при просмотре папки\r\n".
	"$"."h_g=\"".$wh_g."\";//Высота картинок на скриншоте при просмотре информации о файле\r\n".
	"$"."w_g=\"".$ww_g."\";//Ширина картинок на скриншоте при просмотре информации о файле\r\n".
	"$"."im_wd=\"".$wim_wd."\";//1 - выводим надпись при просмотре 0 - нет\r\n".
	"$"."im_sd=\"".$wim_sd."\";//1 - выводим надпись при скачивании 0 - нет\r\n".
	"$"."im_title=\"".$wim_title."\";//Надпись выводимая на скриншот\r\n".
	"$"."im_ts=\"".$wim_ts."\";//Размер шрифта надписи\r\n".
	"$"."d_name=\"".$wd_name."\";//Заголовок центра\r\n".
	"$"."max_size=\"".$wmax_size."\";//Максимальный размер загружаемого файла \r\n".
	"$"."max_size_scr=\"".$wmax_size_scr."\";//Максимальный размер загружаемого скриншота \r\n".
	"$"."f_scr=\"".$wf_scr."\";//Выводить скрин в описании к файлу как картинку(1) или как ссылку(0) \r\n".
	"$"."ab_len=\"".$wab_len."\";//Количество символов выводимое из описания \r\n".
	"$"."p_kom=\"".$wp_kom."\";//on - включить комментарии, off - выключить\r\n".
	"$"."kom_guest=\"".$wkom_guest."\";//on - разрешить гостям комментировать файлы, off - нет\r\n".
	"$"."kom_count=\"".$wkom_count."\";//Количество комментариев к файлу на странице \r\n".
	"$"."new_f=\"".$wnew_f."\";//Сколько дней файл считать новым \r\n".
	"$"."ch_op=\"".$wch_op."\";//1 - выводим часть описания, 0 - нет\r\n".
	"$"."p_kat=\"".$wp_kat."\";//on - включить подкатегории, off - выключить\r\n".
	"$"."cash=\"".$wcash."\";//Время кеширования счетчиков (час.) \r\n".
	"$"."f_temp=\"".$wf_temp."\";//Время жизни временных файлов (мин.) \r\n".
	"$"."m_file=\"".$wm_file."\";//Максимальный размер файла к отправке на E-mail (Kb) \r\n".
	"$"."f_mail=\"".$wf_mail."\";//on - Включить отправку файлов на E-mail, off - выключить\r\n".
	"$"."mail_uz=\"".$wmail_uz."\";//on - отправка файлов на E-mail из анкеты юзера, off - любой\r\n".
	"$"."sk_guest=\"".$wsk_guest."\";//on - разрешить гостям скачивать файлы, off - нет\r\n".
	"$"."partner=\"".$wpartner."\";//Адрес партнерки (без http://)\r\n".
	"?>";
$fp=fopen("conf.inc","w");
fputs($fp,$configdata);
fclose($fp);
echo "Настройки изменены <br>
<center>";
echo "<br>[<a href='?did=$did&fid=$fid'>Назад</a>]<br>
[<a href='../index.php?did='>К загрузкам</a>]<br>
[<a href='../../index.php'>На главную</a>]</center>";
}
else {
echo "</div><div class=b>Настройки</div><div><form action='?save' method=post>";
////////////////////////
echo "Количество файлов выводимых на страницу:";
echo "<br><input type=text name=wcol maxlength=5 size=3 value=$col><br>";
///////////////////////
echo "Количество файлов в топе:";
echo "<br><input type=text name=wcol_top value=$col_top size=3 maxlength=3><br>";
////////////////////
echo "Заголовок:<br><input type=text name=wd_name value='$d_name' maxlength=50><br>";
//////////////////////
echo "Размеры картинок на скриншоте при просмотре папки:";
echo "<br><input type=text size=3 maxlength=3 name=whg value=$hg> x ";
echo "<input type=text size=3 maxlength=3 name=wwg value=$wg><br>";
///////////////////////
echo "Размеры картинок на скриншоте при просмотре информации о файле:";
echo "<br><input type=text size=3 maxlength=3 name=wh_g value=$h_g> x ";
echo "<input type=text size=3 maxlength=3 name=ww_g value=$w_g><br>";
/////////////////////
echo "Надпись выводимая на картинке:";
echo "<br><input type=text name=wim_title value=$im_title maxlength=20 size=25><br>";
////////////////////
echo "Размер шрифта надписи на картинке:";
echo "<br><input type=text name=wim_ts value=$im_ts maxlength=1 size=1><br>";
////////////////////
echo "Максимальный размер загружаемого файла(Kb):";
echo "<br><input type=text name=wmax_size value=$max_size maxlength=5><br>";
////////////////////
echo "Максимальный размер загружаемого скриншота(Kb):";
echo "<br><input type=text name=wmax_size_scr value=$max_size_scr maxlength=2><br>";
/////////////////////
echo "Включить комментарии к файлу:<br>Да";
if($p_kom=="on"){
echo "<input name=wp_kom type=radio value='on' checked>";
}else{echo "<input name=wp_kom type=radio value='on' >";}
echo' &nbsp; &nbsp; ';
if($p_kom=="off"){ 
echo "<input name=wp_kom type=radio value='off' checked>";
}else{echo "<input name=wp_kom type=radio value='off' >";}
echo "Нет<br>";
/////////////////////
echo "Разрешить добавлять комментарии гостям:<br>Да";
if($kom_guest=="on"){
echo "<input name=wkom_guest type=radio value='on' checked>";
}else{ echo "<input name=wkom_guest type=radio value='on' >";}
echo' &nbsp; &nbsp; ';
if($kom_guest=="off"){
echo "<input name=wkom_guest type=radio value='off' checked>";
}else{ echo "<input name=wkom_guest type=radio value='off' >";}
echo "Нет<br>";
/////////////////////
echo "Количество комментариев выводимое на странице:";
echo "<br><input type=text name=wkom_count maxlength=5 size=2 value=$kom_count><br>";
/////////////////////
echo "Сколько дней файл считать новым:";
echo "<br><input type=text name=wnew_f maxlength=2 size=2 value=$new_f><br>";
/////////////////////
echo "Выводить надпись на картинке при просмотре:<br>Да";
if($im_wd=="1"){
echo "<input name=wim_wd type=radio value='1' checked>";
}else{echo "<input name=wim_wd type=radio value='1' >";}
echo' &nbsp; &nbsp; ';
if($im_wd=="0"){
echo "<input name=wim_wd type=radio value='0' checked>";
}else{echo "<input name=wim_wd type=radio value='0' >";}
echo "Нет<br>";
/////////////////////
echo "Выводить надпись на картинке при скачивании:<br>Да";
if($im_sd=="1"){
echo "<input name=wim_sd type=radio value='1' checked>";
}else{echo "<input name=wim_sd type=radio value='1' >";}
echo' &nbsp; &nbsp; ';
if($im_sd=="0"){
echo "<input name=wim_sd type=radio value='0' checked>";
}else{echo "<input name=wim_sd type=radio value='0' >";}
echo "Нет<br>";
//////////////////////
echo "Выводить скриншот в описании файла как:<br>Картинку";
if($f_scr=="1"){
echo "<input name=wf_scr type=radio value='1' checked>";
}else{echo "<input name=wf_scr type=radio value='1' >"; }
echo' &nbsp; &nbsp; ';
if($f_scr=="0"){
echo "<input name=wf_scr type=radio value='0' checked>";
}else{echo "<input name=wf_scr type=radio value='0' >"; }
echo "Ссылку<br>";
////////////////////////
echo "Выводить часть описания к файлу при просмотре папки:<br>Да";
if($ch_op=="1"){
echo "<input name=wch_op type=radio value='1' checked>";
}else{echo "<input name=wch_op type=radio value='1' >";}
echo' &nbsp; &nbsp; ';
if($ch_op=="0"){
echo "<input name=wch_op type=radio value='0' checked>";
}else{echo "<input name=wch_op type=radio value='0' >";}
echo "Нет<br>";
///////////////////////
echo "Показывать подпапки в категории:<br>Да";
if($p_kat=="on"){
echo "<input name=wp_kat type=radio value='on' checked>";
}else{echo "<input name=wp_kat type=radio value='on' >";}
echo' &nbsp; &nbsp; ';
if($p_kat=="off"){
echo "<input name=wp_kat type=radio value='off' checked>";
}else{echo "<input name=wp_kat type=radio value='off' >";}
echo "Нет<br>";
///////////////////////
echo "Количество символов выводимое из описания к файлу:";
echo "<br><input type=text name=wab_len maxlength=5 size=3 value=$ab_len><br>";
///////////////////////
echo "Укажите время кеширования счетчиков (часов):";
echo "<br><input type=text name=wcash maxlength=2 size=2 value=$cash><br>";
///////////////////////
echo "Через сколько минут удалять временные файлы (не рекомендуется ставить больше 15!):";
echo "<br><input type=text name=wf_temp maxlength=2 size=2 value=$f_temp><br>";
//////////////////////
echo "Максимальный размер файла к отправке на E-mail (Kb):";
echo "<br><input type=text name=wm_file maxlength=4 size=4 value=$m_file><br>";
/////////////////////
echo "Включить отправку файлов на E-mail:<br>Да";
if($f_mail=="on"){
echo "<input name=wf_mail type=radio value='on' checked>";
}else{echo "<input name=wf_mail type=radio value='on' >";}
echo' &nbsp; &nbsp; ';
if($f_mail=="off"){
echo "<input name=wf_mail type=radio value='off' checked>";
}else{echo "<input name=wf_mail type=radio value='off' >";}
echo "Нет<br>";
///////////////////
echo "Разрешить отправку файла на произвольный E-mail:<br>Да";
if($mail_uz=="on"){
echo "<input name=wmail_uz type=radio value='on' checked>";
}else{echo "<input name=wmail_uz type=radio value='on' >";}
echo' &nbsp; &nbsp; ';
if($mail_uz=="off"){
echo "<input name=wmail_uz type=radio value='off' checked>";
}else{echo "<input name=wmail_uz type=radio value='off' >";}
echo "Нет<br>";
/////////////////////
echo "Разрешить гостям скачивать файлы:<br>Да";
if($sk_guest=="on"){
echo "<input name=wsk_guest type=radio value='on' checked>";
}else{ echo "<input name=wsk_guest type=radio value='on' >";}
echo' &nbsp; &nbsp; ';
if($sk_guest=="off"){
echo "<input name=wsk_guest type=radio value='off' checked>";
}else{ echo "<input name=wsk_guest type=radio value='off' >";}
echo "Нет<br>";
//////////////////
echo "Адрес партнерки: (без http://)";
echo "<br><input type=text name='wpartner' value='$partner' maxlength='40' size='40'><br>";
////////////////////

echo"<br><input type=submit value='Сохранить'></form>
<center>
[<a href='../index.php?did='>К загрузкам</a>]<br>
[<a href='../../index.php'>На главную</a>]</center>";
}
} else { echo"Не лезь !!!<br>
<center>
[<a href='../index.php?did='>К загрузкам</a>]<br>
[<a href='../../index.php'>На главную</a>]</center>";}}
include_once"../../themes/$config_themes/foot.php";
?>